function init(hero) {

    hero.setName("Thanos");

    hero.setVersion("MCU");

    hero.setTier(6);

    

    hero.setHelmet("Head");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");

    

    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:teleportation", "fiskheroes:energy_projection", "fiskheroes:fire_immunity", "fiskheroes:leaping", "fiskheroes:fire_immunity");

    hero.addAttribute("ATTACK_DAMAGE", 3.3, 1);

    hero.addAttribute("JUMP_HEIGHT", 5.0, 0);

    hero.addAttribute("FALL_RESISTANCE", 50.0, 0);

    hero.addAttribute("PUNCH_DAMAGE", 19.5, 0);

    hero.addAttribute("STEP_HEIGHT", 2, 0);

    hero.addAttribute("SWORD_DAMAGE", -0.45, 1);


    hero.addKeyBind("ENERGY_PROJECTION", "key.energyProjection", 1);

    hero.addKeyBind("TELEPORT", "key.teleport", 2);

    

    hero.setDefaultScale(2.0);

}



function hasProperty(entity, property) {

    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";

}